Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network124.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
124.0.0.0
Broadcast address
124.127.255.255
First usable
124.0.0.1
Last usable
124.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7C000000 · Integer 2080374784 to 2088763391
Reverse DNS zones
0.124.in-addr.arpa
1.124.in-addr.arpa
2.124.in-addr.arpa
3.124.in-addr.arpa
4.124.in-addr.arpa
5.124.in-addr.arpa
6.124.in-addr.arpa
7.124.in-addr.arpa
8.124.in-addr.arpa
9.124.in-addr.arpa
10.124.in-addr.arpa
11.124.in-addr.arpa
12.124.in-addr.arpa
13.124.in-addr.arpa
14.124.in-addr.arpa
15.124.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111100.00000000.00000000.00000000124.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111100.00000000.00000000.00000000124.0.0.0
Broadcast01111100.01111111.11111111.11111111124.127.255.255
Split into smaller subnets/21

124.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1124.0.0.0/21124.0.0.1 to 124.0.7.254124.0.7.2552,046
2124.0.8.0/21124.0.8.1 to 124.0.15.254124.0.15.2552,046
3124.0.16.0/21124.0.16.1 to 124.0.23.254124.0.23.2552,046
4124.0.24.0/21124.0.24.1 to 124.0.31.254124.0.31.2552,046
5124.0.32.0/21124.0.32.1 to 124.0.39.254124.0.39.2552,046
6124.0.40.0/21124.0.40.1 to 124.0.47.254124.0.47.2552,046
7124.0.48.0/21124.0.48.1 to 124.0.55.254124.0.55.2552,046
8124.0.56.0/21124.0.56.1 to 124.0.63.254124.0.63.2552,046
9124.0.64.0/21124.0.64.1 to 124.0.71.254124.0.71.2552,046
10124.0.72.0/21124.0.72.1 to 124.0.79.254124.0.79.2552,046
11124.0.80.0/21124.0.80.1 to 124.0.87.254124.0.87.2552,046
12124.0.88.0/21124.0.88.1 to 124.0.95.254124.0.95.2552,046
13124.0.96.0/21124.0.96.1 to 124.0.103.254124.0.103.2552,046
14124.0.104.0/21124.0.104.1 to 124.0.111.254124.0.111.2552,046
15124.0.112.0/21124.0.112.1 to 124.0.119.254124.0.119.2552,046
16124.0.120.0/21124.0.120.1 to 124.0.127.254124.0.127.2552,046
17124.0.128.0/21124.0.128.1 to 124.0.135.254124.0.135.2552,046
18124.0.136.0/21124.0.136.1 to 124.0.143.254124.0.143.2552,046
19124.0.144.0/21124.0.144.1 to 124.0.151.254124.0.151.2552,046
20124.0.152.0/21124.0.152.1 to 124.0.159.254124.0.159.2552,046
21124.0.160.0/21124.0.160.1 to 124.0.167.254124.0.167.2552,046
22124.0.168.0/21124.0.168.1 to 124.0.175.254124.0.175.2552,046
23124.0.176.0/21124.0.176.1 to 124.0.183.254124.0.183.2552,046
24124.0.184.0/21124.0.184.1 to 124.0.191.254124.0.191.2552,046
25124.0.192.0/21124.0.192.1 to 124.0.199.254124.0.199.2552,046
26124.0.200.0/21124.0.200.1 to 124.0.207.254124.0.207.2552,046
27124.0.208.0/21124.0.208.1 to 124.0.215.254124.0.215.2552,046
28124.0.216.0/21124.0.216.1 to 124.0.223.254124.0.223.2552,046
29124.0.224.0/21124.0.224.1 to 124.0.231.254124.0.231.2552,046
30124.0.232.0/21124.0.232.1 to 124.0.239.254124.0.239.2552,046
31124.0.240.0/21124.0.240.1 to 124.0.247.254124.0.247.2552,046
32124.0.248.0/21124.0.248.1 to 124.0.255.254124.0.255.2552,046
33124.1.0.0/21124.1.0.1 to 124.1.7.254124.1.7.2552,046
34124.1.8.0/21124.1.8.1 to 124.1.15.254124.1.15.2552,046
35124.1.16.0/21124.1.16.1 to 124.1.23.254124.1.23.2552,046
36124.1.24.0/21124.1.24.1 to 124.1.31.254124.1.31.2552,046
37124.1.32.0/21124.1.32.1 to 124.1.39.254124.1.39.2552,046
38124.1.40.0/21124.1.40.1 to 124.1.47.254124.1.47.2552,046
39124.1.48.0/21124.1.48.1 to 124.1.55.254124.1.55.2552,046
40124.1.56.0/21124.1.56.1 to 124.1.63.254124.1.63.2552,046
41124.1.64.0/21124.1.64.1 to 124.1.71.254124.1.71.2552,046
42124.1.72.0/21124.1.72.1 to 124.1.79.254124.1.79.2552,046
43124.1.80.0/21124.1.80.1 to 124.1.87.254124.1.87.2552,046
44124.1.88.0/21124.1.88.1 to 124.1.95.254124.1.95.2552,046
45124.1.96.0/21124.1.96.1 to 124.1.103.254124.1.103.2552,046
46124.1.104.0/21124.1.104.1 to 124.1.111.254124.1.111.2552,046
47124.1.112.0/21124.1.112.1 to 124.1.119.254124.1.119.2552,046
48124.1.120.0/21124.1.120.1 to 124.1.127.254124.1.127.2552,046
49124.1.128.0/21124.1.128.1 to 124.1.135.254124.1.135.2552,046
50124.1.136.0/21124.1.136.1 to 124.1.143.254124.1.143.2552,046
51124.1.144.0/21124.1.144.1 to 124.1.151.254124.1.151.2552,046
52124.1.152.0/21124.1.152.1 to 124.1.159.254124.1.159.2552,046
53124.1.160.0/21124.1.160.1 to 124.1.167.254124.1.167.2552,046
54124.1.168.0/21124.1.168.1 to 124.1.175.254124.1.175.2552,046
55124.1.176.0/21124.1.176.1 to 124.1.183.254124.1.183.2552,046
56124.1.184.0/21124.1.184.1 to 124.1.191.254124.1.191.2552,046
57124.1.192.0/21124.1.192.1 to 124.1.199.254124.1.199.2552,046
58124.1.200.0/21124.1.200.1 to 124.1.207.254124.1.207.2552,046
59124.1.208.0/21124.1.208.1 to 124.1.215.254124.1.215.2552,046
60124.1.216.0/21124.1.216.1 to 124.1.223.254124.1.223.2552,046
61124.1.224.0/21124.1.224.1 to 124.1.231.254124.1.231.2552,046
62124.1.232.0/21124.1.232.1 to 124.1.239.254124.1.239.2552,046
63124.1.240.0/21124.1.240.1 to 124.1.247.254124.1.247.2552,046
64124.1.248.0/21124.1.248.1 to 124.1.255.254124.1.255.2552,046
65124.2.0.0/21124.2.0.1 to 124.2.7.254124.2.7.2552,046
66124.2.8.0/21124.2.8.1 to 124.2.15.254124.2.15.2552,046
67124.2.16.0/21124.2.16.1 to 124.2.23.254124.2.23.2552,046
68124.2.24.0/21124.2.24.1 to 124.2.31.254124.2.31.2552,046
69124.2.32.0/21124.2.32.1 to 124.2.39.254124.2.39.2552,046
70124.2.40.0/21124.2.40.1 to 124.2.47.254124.2.47.2552,046
71124.2.48.0/21124.2.48.1 to 124.2.55.254124.2.55.2552,046
72124.2.56.0/21124.2.56.1 to 124.2.63.254124.2.63.2552,046
73124.2.64.0/21124.2.64.1 to 124.2.71.254124.2.71.2552,046
74124.2.72.0/21124.2.72.1 to 124.2.79.254124.2.79.2552,046
75124.2.80.0/21124.2.80.1 to 124.2.87.254124.2.87.2552,046
76124.2.88.0/21124.2.88.1 to 124.2.95.254124.2.95.2552,046
77124.2.96.0/21124.2.96.1 to 124.2.103.254124.2.103.2552,046
78124.2.104.0/21124.2.104.1 to 124.2.111.254124.2.111.2552,046
79124.2.112.0/21124.2.112.1 to 124.2.119.254124.2.119.2552,046
80124.2.120.0/21124.2.120.1 to 124.2.127.254124.2.127.2552,046
81124.2.128.0/21124.2.128.1 to 124.2.135.254124.2.135.2552,046
82124.2.136.0/21124.2.136.1 to 124.2.143.254124.2.143.2552,046
83124.2.144.0/21124.2.144.1 to 124.2.151.254124.2.151.2552,046
84124.2.152.0/21124.2.152.1 to 124.2.159.254124.2.159.2552,046
85124.2.160.0/21124.2.160.1 to 124.2.167.254124.2.167.2552,046
86124.2.168.0/21124.2.168.1 to 124.2.175.254124.2.175.2552,046
87124.2.176.0/21124.2.176.1 to 124.2.183.254124.2.183.2552,046
88124.2.184.0/21124.2.184.1 to 124.2.191.254124.2.191.2552,046
89124.2.192.0/21124.2.192.1 to 124.2.199.254124.2.199.2552,046
90124.2.200.0/21124.2.200.1 to 124.2.207.254124.2.207.2552,046
91124.2.208.0/21124.2.208.1 to 124.2.215.254124.2.215.2552,046
92124.2.216.0/21124.2.216.1 to 124.2.223.254124.2.223.2552,046
93124.2.224.0/21124.2.224.1 to 124.2.231.254124.2.231.2552,046
94124.2.232.0/21124.2.232.1 to 124.2.239.254124.2.239.2552,046
95124.2.240.0/21124.2.240.1 to 124.2.247.254124.2.247.2552,046
96124.2.248.0/21124.2.248.1 to 124.2.255.254124.2.255.2552,046
97124.3.0.0/21124.3.0.1 to 124.3.7.254124.3.7.2552,046
98124.3.8.0/21124.3.8.1 to 124.3.15.254124.3.15.2552,046
99124.3.16.0/21124.3.16.1 to 124.3.23.254124.3.23.2552,046
100124.3.24.0/21124.3.24.1 to 124.3.31.254124.3.31.2552,046
101124.3.32.0/21124.3.32.1 to 124.3.39.254124.3.39.2552,046
102124.3.40.0/21124.3.40.1 to 124.3.47.254124.3.47.2552,046
103124.3.48.0/21124.3.48.1 to 124.3.55.254124.3.55.2552,046
104124.3.56.0/21124.3.56.1 to 124.3.63.254124.3.63.2552,046
105124.3.64.0/21124.3.64.1 to 124.3.71.254124.3.71.2552,046
106124.3.72.0/21124.3.72.1 to 124.3.79.254124.3.79.2552,046
107124.3.80.0/21124.3.80.1 to 124.3.87.254124.3.87.2552,046
108124.3.88.0/21124.3.88.1 to 124.3.95.254124.3.95.2552,046
109124.3.96.0/21124.3.96.1 to 124.3.103.254124.3.103.2552,046
110124.3.104.0/21124.3.104.1 to 124.3.111.254124.3.111.2552,046
111124.3.112.0/21124.3.112.1 to 124.3.119.254124.3.119.2552,046
112124.3.120.0/21124.3.120.1 to 124.3.127.254124.3.127.2552,046
113124.3.128.0/21124.3.128.1 to 124.3.135.254124.3.135.2552,046
114124.3.136.0/21124.3.136.1 to 124.3.143.254124.3.143.2552,046
115124.3.144.0/21124.3.144.1 to 124.3.151.254124.3.151.2552,046
116124.3.152.0/21124.3.152.1 to 124.3.159.254124.3.159.2552,046
117124.3.160.0/21124.3.160.1 to 124.3.167.254124.3.167.2552,046
118124.3.168.0/21124.3.168.1 to 124.3.175.254124.3.175.2552,046
119124.3.176.0/21124.3.176.1 to 124.3.183.254124.3.183.2552,046
120124.3.184.0/21124.3.184.1 to 124.3.191.254124.3.191.2552,046
121124.3.192.0/21124.3.192.1 to 124.3.199.254124.3.199.2552,046
122124.3.200.0/21124.3.200.1 to 124.3.207.254124.3.207.2552,046
123124.3.208.0/21124.3.208.1 to 124.3.215.254124.3.215.2552,046
124124.3.216.0/21124.3.216.1 to 124.3.223.254124.3.223.2552,046
125124.3.224.0/21124.3.224.1 to 124.3.231.254124.3.231.2552,046
126124.3.232.0/21124.3.232.1 to 124.3.239.254124.3.239.2552,046
127124.3.240.0/21124.3.240.1 to 124.3.247.254124.3.247.2552,046
128124.3.248.0/21124.3.248.1 to 124.3.255.254124.3.255.2552,046
129124.4.0.0/21124.4.0.1 to 124.4.7.254124.4.7.2552,046
130124.4.8.0/21124.4.8.1 to 124.4.15.254124.4.15.2552,046
131124.4.16.0/21124.4.16.1 to 124.4.23.254124.4.23.2552,046
132124.4.24.0/21124.4.24.1 to 124.4.31.254124.4.31.2552,046
133124.4.32.0/21124.4.32.1 to 124.4.39.254124.4.39.2552,046
134124.4.40.0/21124.4.40.1 to 124.4.47.254124.4.47.2552,046
135124.4.48.0/21124.4.48.1 to 124.4.55.254124.4.55.2552,046
136124.4.56.0/21124.4.56.1 to 124.4.63.254124.4.63.2552,046
137124.4.64.0/21124.4.64.1 to 124.4.71.254124.4.71.2552,046
138124.4.72.0/21124.4.72.1 to 124.4.79.254124.4.79.2552,046
139124.4.80.0/21124.4.80.1 to 124.4.87.254124.4.87.2552,046
140124.4.88.0/21124.4.88.1 to 124.4.95.254124.4.95.2552,046
141124.4.96.0/21124.4.96.1 to 124.4.103.254124.4.103.2552,046
142124.4.104.0/21124.4.104.1 to 124.4.111.254124.4.111.2552,046
143124.4.112.0/21124.4.112.1 to 124.4.119.254124.4.119.2552,046
144124.4.120.0/21124.4.120.1 to 124.4.127.254124.4.127.2552,046
145124.4.128.0/21124.4.128.1 to 124.4.135.254124.4.135.2552,046
146124.4.136.0/21124.4.136.1 to 124.4.143.254124.4.143.2552,046
147124.4.144.0/21124.4.144.1 to 124.4.151.254124.4.151.2552,046
148124.4.152.0/21124.4.152.1 to 124.4.159.254124.4.159.2552,046
149124.4.160.0/21124.4.160.1 to 124.4.167.254124.4.167.2552,046
150124.4.168.0/21124.4.168.1 to 124.4.175.254124.4.175.2552,046
151124.4.176.0/21124.4.176.1 to 124.4.183.254124.4.183.2552,046
152124.4.184.0/21124.4.184.1 to 124.4.191.254124.4.191.2552,046
153124.4.192.0/21124.4.192.1 to 124.4.199.254124.4.199.2552,046
154124.4.200.0/21124.4.200.1 to 124.4.207.254124.4.207.2552,046
155124.4.208.0/21124.4.208.1 to 124.4.215.254124.4.215.2552,046
156124.4.216.0/21124.4.216.1 to 124.4.223.254124.4.223.2552,046
157124.4.224.0/21124.4.224.1 to 124.4.231.254124.4.231.2552,046
158124.4.232.0/21124.4.232.1 to 124.4.239.254124.4.239.2552,046
159124.4.240.0/21124.4.240.1 to 124.4.247.254124.4.247.2552,046
160124.4.248.0/21124.4.248.1 to 124.4.255.254124.4.255.2552,046
161124.5.0.0/21124.5.0.1 to 124.5.7.254124.5.7.2552,046
162124.5.8.0/21124.5.8.1 to 124.5.15.254124.5.15.2552,046
163124.5.16.0/21124.5.16.1 to 124.5.23.254124.5.23.2552,046
164124.5.24.0/21124.5.24.1 to 124.5.31.254124.5.31.2552,046
165124.5.32.0/21124.5.32.1 to 124.5.39.254124.5.39.2552,046
166124.5.40.0/21124.5.40.1 to 124.5.47.254124.5.47.2552,046
167124.5.48.0/21124.5.48.1 to 124.5.55.254124.5.55.2552,046
168124.5.56.0/21124.5.56.1 to 124.5.63.254124.5.63.2552,046
169124.5.64.0/21124.5.64.1 to 124.5.71.254124.5.71.2552,046
170124.5.72.0/21124.5.72.1 to 124.5.79.254124.5.79.2552,046
171124.5.80.0/21124.5.80.1 to 124.5.87.254124.5.87.2552,046
172124.5.88.0/21124.5.88.1 to 124.5.95.254124.5.95.2552,046
173124.5.96.0/21124.5.96.1 to 124.5.103.254124.5.103.2552,046
174124.5.104.0/21124.5.104.1 to 124.5.111.254124.5.111.2552,046
175124.5.112.0/21124.5.112.1 to 124.5.119.254124.5.119.2552,046
176124.5.120.0/21124.5.120.1 to 124.5.127.254124.5.127.2552,046
177124.5.128.0/21124.5.128.1 to 124.5.135.254124.5.135.2552,046
178124.5.136.0/21124.5.136.1 to 124.5.143.254124.5.143.2552,046
179124.5.144.0/21124.5.144.1 to 124.5.151.254124.5.151.2552,046
180124.5.152.0/21124.5.152.1 to 124.5.159.254124.5.159.2552,046
181124.5.160.0/21124.5.160.1 to 124.5.167.254124.5.167.2552,046
182124.5.168.0/21124.5.168.1 to 124.5.175.254124.5.175.2552,046
183124.5.176.0/21124.5.176.1 to 124.5.183.254124.5.183.2552,046
184124.5.184.0/21124.5.184.1 to 124.5.191.254124.5.191.2552,046
185124.5.192.0/21124.5.192.1 to 124.5.199.254124.5.199.2552,046
186124.5.200.0/21124.5.200.1 to 124.5.207.254124.5.207.2552,046
187124.5.208.0/21124.5.208.1 to 124.5.215.254124.5.215.2552,046
188124.5.216.0/21124.5.216.1 to 124.5.223.254124.5.223.2552,046
189124.5.224.0/21124.5.224.1 to 124.5.231.254124.5.231.2552,046
190124.5.232.0/21124.5.232.1 to 124.5.239.254124.5.239.2552,046
191124.5.240.0/21124.5.240.1 to 124.5.247.254124.5.247.2552,046
192124.5.248.0/21124.5.248.1 to 124.5.255.254124.5.255.2552,046
193124.6.0.0/21124.6.0.1 to 124.6.7.254124.6.7.2552,046
194124.6.8.0/21124.6.8.1 to 124.6.15.254124.6.15.2552,046
195124.6.16.0/21124.6.16.1 to 124.6.23.254124.6.23.2552,046
196124.6.24.0/21124.6.24.1 to 124.6.31.254124.6.31.2552,046
197124.6.32.0/21124.6.32.1 to 124.6.39.254124.6.39.2552,046
198124.6.40.0/21124.6.40.1 to 124.6.47.254124.6.47.2552,046
199124.6.48.0/21124.6.48.1 to 124.6.55.254124.6.55.2552,046
200124.6.56.0/21124.6.56.1 to 124.6.63.254124.6.63.2552,046
201124.6.64.0/21124.6.64.1 to 124.6.71.254124.6.71.2552,046
202124.6.72.0/21124.6.72.1 to 124.6.79.254124.6.79.2552,046
203124.6.80.0/21124.6.80.1 to 124.6.87.254124.6.87.2552,046
204124.6.88.0/21124.6.88.1 to 124.6.95.254124.6.95.2552,046
205124.6.96.0/21124.6.96.1 to 124.6.103.254124.6.103.2552,046
206124.6.104.0/21124.6.104.1 to 124.6.111.254124.6.111.2552,046
207124.6.112.0/21124.6.112.1 to 124.6.119.254124.6.119.2552,046
208124.6.120.0/21124.6.120.1 to 124.6.127.254124.6.127.2552,046
209124.6.128.0/21124.6.128.1 to 124.6.135.254124.6.135.2552,046
210124.6.136.0/21124.6.136.1 to 124.6.143.254124.6.143.2552,046
211124.6.144.0/21124.6.144.1 to 124.6.151.254124.6.151.2552,046
212124.6.152.0/21124.6.152.1 to 124.6.159.254124.6.159.2552,046
213124.6.160.0/21124.6.160.1 to 124.6.167.254124.6.167.2552,046
214124.6.168.0/21124.6.168.1 to 124.6.175.254124.6.175.2552,046
215124.6.176.0/21124.6.176.1 to 124.6.183.254124.6.183.2552,046
216124.6.184.0/21124.6.184.1 to 124.6.191.254124.6.191.2552,046
217124.6.192.0/21124.6.192.1 to 124.6.199.254124.6.199.2552,046
218124.6.200.0/21124.6.200.1 to 124.6.207.254124.6.207.2552,046
219124.6.208.0/21124.6.208.1 to 124.6.215.254124.6.215.2552,046
220124.6.216.0/21124.6.216.1 to 124.6.223.254124.6.223.2552,046
221124.6.224.0/21124.6.224.1 to 124.6.231.254124.6.231.2552,046
222124.6.232.0/21124.6.232.1 to 124.6.239.254124.6.239.2552,046
223124.6.240.0/21124.6.240.1 to 124.6.247.254124.6.247.2552,046
224124.6.248.0/21124.6.248.1 to 124.6.255.254124.6.255.2552,046
225124.7.0.0/21124.7.0.1 to 124.7.7.254124.7.7.2552,046
226124.7.8.0/21124.7.8.1 to 124.7.15.254124.7.15.2552,046
227124.7.16.0/21124.7.16.1 to 124.7.23.254124.7.23.2552,046
228124.7.24.0/21124.7.24.1 to 124.7.31.254124.7.31.2552,046
229124.7.32.0/21124.7.32.1 to 124.7.39.254124.7.39.2552,046
230124.7.40.0/21124.7.40.1 to 124.7.47.254124.7.47.2552,046
231124.7.48.0/21124.7.48.1 to 124.7.55.254124.7.55.2552,046
232124.7.56.0/21124.7.56.1 to 124.7.63.254124.7.63.2552,046
233124.7.64.0/21124.7.64.1 to 124.7.71.254124.7.71.2552,046
234124.7.72.0/21124.7.72.1 to 124.7.79.254124.7.79.2552,046
235124.7.80.0/21124.7.80.1 to 124.7.87.254124.7.87.2552,046
236124.7.88.0/21124.7.88.1 to 124.7.95.254124.7.95.2552,046
237124.7.96.0/21124.7.96.1 to 124.7.103.254124.7.103.2552,046
238124.7.104.0/21124.7.104.1 to 124.7.111.254124.7.111.2552,046
239124.7.112.0/21124.7.112.1 to 124.7.119.254124.7.119.2552,046
240124.7.120.0/21124.7.120.1 to 124.7.127.254124.7.127.2552,046
241124.7.128.0/21124.7.128.1 to 124.7.135.254124.7.135.2552,046
242124.7.136.0/21124.7.136.1 to 124.7.143.254124.7.143.2552,046
243124.7.144.0/21124.7.144.1 to 124.7.151.254124.7.151.2552,046
244124.7.152.0/21124.7.152.1 to 124.7.159.254124.7.159.2552,046
245124.7.160.0/21124.7.160.1 to 124.7.167.254124.7.167.2552,046
246124.7.168.0/21124.7.168.1 to 124.7.175.254124.7.175.2552,046
247124.7.176.0/21124.7.176.1 to 124.7.183.254124.7.183.2552,046
248124.7.184.0/21124.7.184.1 to 124.7.191.254124.7.191.2552,046
249124.7.192.0/21124.7.192.1 to 124.7.199.254124.7.199.2552,046
250124.7.200.0/21124.7.200.1 to 124.7.207.254124.7.207.2552,046
251124.7.208.0/21124.7.208.1 to 124.7.215.254124.7.215.2552,046
252124.7.216.0/21124.7.216.1 to 124.7.223.254124.7.223.2552,046
253124.7.224.0/21124.7.224.1 to 124.7.231.254124.7.231.2552,046
254124.7.232.0/21124.7.232.1 to 124.7.239.254124.7.239.2552,046
255124.7.240.0/21124.7.240.1 to 124.7.247.254124.7.247.2552,046
256124.7.248.0/21124.7.248.1 to 124.7.255.254124.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses